/* city - generates cities based on
 * "Medieval Demographics Made Easy" by S. John Ross 
 * 
 * Written by Ken Witherow <phantoml@frontiernet.net>
 *
 */

#ifndef __CITY_H__
#define __CITY_H__

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <math.h>

/* Profession info
 * sv = # of people needed / unit
 * name = title
 * calc = number of current units
 */
struct Sprofession
{
	int sv;
  	char name[50];
  	int calc;
};

/* data */
/* total number of proficiencies */
int numprofs;
/* store a maximum of 200 proficiencies */
struct Sprofession profession[200];
long int totalprofession;

/* funcs */
int calcnum( long int fsv, long int population );


/* externs */
extern void populatecity( long int population );
extern void printcity( long int population, int domain );
extern void readprofs( char *prof );

#endif /* __CITY_H__ */
